Update a build
Add screenshots to an existing build and update its metadata. Used to push the screenshots of a parallel shard, identified by `parallelIndex` and `parallelTotal`.
Add screenshots to an existing build and update its metadata. Used to push the screenshots of a parallel shard, identified by parallelIndex and parallelTotal.
Authorization
projectToken Authenticate as a project with a project token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <project-token>You can find your project token in your Argos project settings. Project tokens are used by CI and the SDK to create builds and deployments.
In: header
Path Parameters
A unique identifier for the build
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/builds/string" \ -H "Content-Type: application/json" \ -d '{ "screenshots": [ { "key": "string", "name": "string" } ] }'{ "build": { "id": "string", "number": 1, "head": { "sha": "string", "branch": "string" }, "base": { "sha": "string", "branch": "string" }, "status": "accepted", "conclusion": "no-changes", "stats": { "added": 0, "removed": 0, "unchanged": 0, "changed": 0, "ignored": 0, "failure": 0, "retryFailure": 0, "total": 0 }, "metadata": { "testReport": { "status": "passed", "stats": { "startTime": "string", "duration": 0 } } }, "url": "http://example.com", "notification": { "description": "string", "context": "string", "github": { "state": "pending" }, "gitlab": { "state": "pending" }, "url": "http://example.com" } }}Find an eligible baseline from a list of commits POST
Find the build eligible to be used as a baseline among a list of commits. Useful when no Git provider is connected: the CLI can send the candidate ancestor commits and let Argos pick the closest one that has an eligible (complete, valid, approved and not rejected) baseline build.
List a project's builds GET
List the builds of a project, most recent first. Results are paginated. Use `search` to match builds by name, branch or commit, and `distinctName` to return only the latest build per name and commit.